# atom-notify

This package simply provides methods for quickly creating atom notifications.

A timeout length can be set initially using the `timeOut` option. It defaults to 5000.
Right now, the only options for notifications are `dismissable` (which defaults to `true`) and `icon`.

## Usage

``` coffeescript
notify = require 'atom-notify'

notifier = notify "Neat-o!" # All notifications from notifier will be titled with 'Neat-o'
notifier.addSuccess "That was a blast!", icon: 'octo-cat'
notifier.addError "That was a bummer!", dismissable: false
notifier.addInfo "There is air outside."

longerNotifier = notify 'Short messages', timeOut: 2000
warning = longerNotifier.addWarning "Your shoes are untied."
# User ties their shoes...
warning.dismiss()
```
