notify = require '../notify'

describe "notify", ->
  beforeEach -> @notifier = notify "Test"

  it "is a function", -> expect(notify.call).toBeDefined()

  it "returns an object with notification creating methods", ->
    expect(@notifier.addInfo).toBeDefined()
    expect(@notifier.addSuccess).toBeDefined()
    expect(@notifier.addError).toBeDefined()
    expect(@notifier.addWarning).toBeDefined()

  it "accepts a string parameter as the title for notifications", ->
    {message} = @notifier.addSuccess "Sucess message"
    expect(message).toBe "Test"

  describe "methods on notifier object", ->
    it "accepts an options object", ->
      {options} = @notifier.addSuccess "Success message", icon: 'an-icon'
      expect(options.icon).toBe 'an-icon'

  describe "options", ->
    it "defaults `dismissable` to true", ->
      {options} = @notifier.addSuccess "Success message"
      expect(options.dismissable).toBe true
